Package tigase.server.cluster.strategy.cmd

# Class TrafficSyncCmdAbstract

java.lang.Object
tigase.cluster.api.CommandListenerAbstract
tigase.server.cluster.strategy.cmd.CachingCmdAbstract
tigase.server.cluster.strategy.cmd.TrafficSyncCmdAbstract

All Implemented Interfaces:
  `Comparable<tigase.cluster.api.CommandListener>`, `tigase.cluster.api.CommandListener`

Direct Known Subclasses:
  `RequestSyncOnlineCmd`, `RespondSyncOnlineCmd`, `TrafficStatisticsCmd`, `UserConnectedCmd`, `UserConnIdChangedCmd`, `UserDisconnectedCmd`, `UserPresenceCmd`

public abstract class TrafficSyncCmdAbstract extends CachingCmdAbstract

Author:
  kobit

- ## Field Summary

  ### Fields inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `CONNECTION_ID, CREATION_TIME, LOGIN_TIME, PRESENCE_TYPE_INITIAL, PRESENCE_TYPE_KEY, RESOURCE, SM_ID, USER_ID, XMPP_SESSION_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficSyncCmdAbstract(String name, OnlineUsersCachingStrategy strat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `getSyncInTraffic()`
  `static long`
  `getSyncOutTraffic()`
  `void`
  `incSyncInTraffic()`
  `void`
  `incSyncOutTraffic()`

  ### Methods inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `getConnectionRecord, getStrategy`

  ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

  `compareTo, equals, getName, getPriority, getStatistics, hashCode, setName, setPriority`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.cluster.api.CommandListener

  `executeCommand`

- ## Constructor Details

  - ### TrafficSyncCmdAbstract

    public TrafficSyncCmdAbstract(String name, OnlineUsersCachingStrategy strat)

- ## Method Details

  - ### getSyncInTraffic

    public static long getSyncInTraffic()

  - ### getSyncOutTraffic

    public static long getSyncOutTraffic()

  - ### incSyncInTraffic

    public void incSyncInTraffic()
    Overrides:
      `incSyncInTraffic` in class `tigase.cluster.api.CommandListenerAbstract`

  - ### incSyncOutTraffic

    public void incSyncOutTraffic()
    Overrides:
      `incSyncOutTraffic` in class `tigase.cluster.api.CommandListenerAbstract`